/*------- Typography Style Start -------*/

/*------- google fonts -------*/
@import url('https://fonts.googleapis.com/css?family=Overpass:300,300i,400,400i,600,700,800,900');


body {
    font-size: $font-size-base;
    font-weight: 400;
    font-family: $font-family-base;
    color: $paragraph;
    line-height: 24px;
}

a,
a:hover,
a:focus,
input,
button,
textarea,
button:hover,
button:focus {
    outline: none;
    text-decoration: none;
    @include transition;
}

.form-control {
    &:focus {
        border-color: #fedc19;
        box-shadow: none;
    }
}

button {
    background-color: transparent;
    border: none;
    cursor: pointer;
}

img {
    max-width: 100%;
    @include transition;
}

.img-full {
    img {
        width: 100%;
    }
}

p {
    color: $paragraph;
    font-size: 14px;
    margin-bottom: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    padding: 0;
}

ul {
    margin: 0;
    padding: 0;

    li {
        list-style: none;
    }
}

.fix {
    overflow: hidden;
}

figure {
    margin: 0;
}

.bdr-top {
    border-top: 1px solid $bdr-color;
}
.bdr-top-2 {
    border-top: 1px solid rgba(255,255,255,.1);
}
.bdr-bottom {
    border-bottom: 1px solid rgba(255,255,255,.1);
}

.ratings {
    span {
        color: #ffba00;
        font-size: 12px;
    }
}

.bg-black {
    background-color: #111;
}

.bg-gray {
    background-color: #f5f5f5;
}
.bg-gray-light {
    background-color: #f8f6f6;
}

.bg-navy-blue {
    background: #333c4a;
}

.theme-color-3 {
    background-color: $theme-color3;
}

.theme-color-4 {
    background-color: $theme-color4;
}
.theme-color-5 {
    background-color: #15161e;
}

.c-red {
    background: red;
}

.c-gray {
    background: gray;
}

.c-blue {
    background: blue;
}

.c-brown {
    background: brown;
}

.c-black {
    background: black;
}

body {
    &.modal-open {
        padding-right: 0 !important;
        overflow-y: scroll !important;
    }
}

@media #{$container-size} {
    .container {
        max-width: 1920px;
        padding-left: 90px;
        padding-right: 90px;
    }
}

// modal fix
.modal-dialog {
    @media #{$tablet-device} {
        max-width: 700px;
    }
}
.modal {
    display: block !important;
    @include opacity(0);
    visibility: hidden;
    pointer-events: none;
    z-index: -99;

    &.show {
        @include opacity(1);
        visibility: visible;
        pointer-events: visible;
        z-index: 99999999;
        -webkit-animation: slideInDown 0.4s forwards;
        animation: slideInDown 0.4s forwards;
    }

    .modal-header {
        padding: 0 10px;
        border-bottom: none;

        .close {
            color: $black-soft;
            font-size: 28px;
            opacity: 1;
            display: block;
            position: absolute;
            padding: 0;
            width: 30px;
            height: 30px;
            margin: 0;
            right: 10px;
            top: 10px;
            z-index: 999;
            line-height: 36px;
            @include border-radius(50%);
            background-color: #f7f7f7;

            &:hover {
                color: $white;
                background-color: $theme-color;
            }
        }
    }

    .modal-body {
        padding: 20px 20px 20px 20px;

        @media #{$extra-small-mobile} {
            padding: 10px;
        }
    }
}

/*------- Typography Style end -------*/

/* ---- slick slider focus ----*/
.slick-slide:focus {
    outline: none;
}

/* ---- sick slider arrow style start ----*/
.slider-arrow-style {
    &.slick-slider {
        .slick-arrow {
            top: 50%;
            width: 56px;
            height: 56px;
            color: $black-soft;
            font-size: 28px;
            text-align: center;
            @include border-radius(50%);
            z-index: 1;
            cursor: pointer;
            display: block;
            position: absolute;
            @include translate(0,-50%);
            background-color: $white;
            line-height: 24px;
            @include opacity(0);
            visibility: hidden;

            &.slick-prev {
                left: 50px;
                i {
                    padding-right: 2px;
                    display: block;
                }
            }

            &.slick-next {
                right: 50px;
                i {
                    padding-left: 2px;
                    display: block;
                }
            }

            &:hover {
                color: $white;
                background-color: $theme-color;
            }
        }
        &:hover {
            .slick-arrow {
                @include opacity(1);
                visibility: visible;
                &.slick-prev {
                    left: 20px;
                }
                &.slick-next {
                    right: 20px;
                }
            }
        }
    }
    &__style-2 {
        &.slick-slider {
            .slick-arrow {
                top: 50%;
                width: 36px;
                height: 36px;
                font-size: 22px;
                line-height: 24px;
                background-color: #ededed;
                @include border-radius(0);
                @include translate(0, -50%);
            }
            &:hover {
                .slick-arrow {
                    &.slick-prev {
                        left: 0;
                    }
                    &.slick-next {
                        right: 0;
                    }
                }
            }
        } 
    }
}

/* ---- sick arrow style start ----*/
.slick-arrow-style {
    &.slick-slider {
        .slick-arrow {
            top: -68px;
            right: 15px;
            width: 46px;
            height: 46px;
            color: $black-soft;
            font-size: 24px;
            text-align: center;
            z-index: 1;
            cursor: pointer;
            display: block;
            position: absolute;
            @include border-radius(4px);
            @include translate(0,-50%);
            background-color: #f5f5f5;
            line-height: 46px;

            &.slick-prev {
                right: 68px;
                i {
                    padding-right: 2px;
                    display: block;
                }
            }

            &.slick-next {
                i {
                    padding-left: 2px;
                    display: block;
                }
            }

            &:hover {
                color: $white;
                background-color: $theme-color;
            }
        }
        &.arrow-top {
            .slick-arrow {
                top: -55px;
            }
        }
    }
}

// slick item padding
.slick-padding {
    .slick-list {
        margin: 0 -15px;

        .slick-slide {
            margin: 0 15px;
        }
    }
}

.slick-padding2 {
    .slick-list {
        margin: 0 -5px;

        .slick-slide {
            margin: 0 5px;
        }
    }
}

/*--------- slick slider dot style start -------*/
.slick-dot-style {
    ul {
        &.slick-dots {
            bottom: -40px;
            left: 50%;
            position: absolute;
            @include translate(-50%, 0);

            li {
                display: inline-block;
                margin: 0 5px;

                button {
                    width: 30px;
                    height: 6px;
                    line-height: 12px;
                    padding: 0;
                    background-color: #eaeaea;
                    border: none;
                    border-radius: 10px;
                    display: block;
                    text-indent: -5000px;
                    cursor: pointer;
                    @include transition;
                }

                &.slick-active button {
                    background-color: $theme-color;
                    border-radius: 10px;
                }
            }
        }
    }
    &.hero-dot {
        ul {
            &.slick-dots {
                bottom: 20px;
            }
        }
    }
}

/*--------- slick slider dot style end -------*/

/* ---- section title css ----*/
.section-title {
    p {
        color: #999;
        font-size: 15px;
        font-weight: 300;
        line-height: 20px;
        padding-bottom: 16px;
        margin-top: -4px;
    }
    h2 {
        color: $black-soft;
        font-size: 28px;
        font-weight: 800;
        line-height: 30px;
        padding-bottom: 15px;
        display: inline-block;
        text-transform: uppercase;
        position: relative;
        // responsive
        @media #{$large-mobile} {
            font-size: 22px;
            line-height: 24px;
        }
        @media #{$small-mobile} {
            font-size: 20px;
            line-height: 24px;
        }
        &:after {
            left: 0;
            bottom: 0;
            width: 40%;
            height: 3px;
            right: 0;
            content: "";
            margin: 0 auto;
            position: absolute;
            background-color: $theme-color;
        }
    }
}

/* ----tab problem fix css ----*/
.tab-content {
    .tab-pane {
        display: block;
        height: 0;
        max-width: 100%;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;

        &.active {
            height: auto;
            opacity: 1;
            overflow: visible;
            visibility: visible;
        }
    }
}

/* ----scroll to top css ----*/
.scroll-top {
    background-color: $theme-color;
    bottom: 50px;
    box-shadow: 0 0 1px rgba(255, 255, 255, 0.5);
    cursor: pointer;
    height: 40px;
    position: fixed;
    right: 20px;
    text-align: center;
    width: 40px;
    z-index: 9999;
    @include transition;
    @include border-radius(4px);

    i {
        line-height: 40px;
        color: #fff;
        font-size: 25px;
    }

    &.not-visible {
        bottom: -50px;
        visibility: hidden;
        -webkit-opacity: 0;
        opacity: 0;
    }
}


/*------ custom tooltip start -------*/
.tooltip {
    &.show {
        @include opacity(1);
    }

    &>.tooltip-inner {
        font-size: 13px;
        background-color: $theme-color;
        @include border-radius(0);
    }

    &.bs-tooltip-top {
        .arrow {
            &:before {
                border-top-color: $theme-color;
            }
        }
    }

    &.bs-tooltip-left {
        .arrow {
            &:before {
                border-left-color: $theme-color;
            }
        }
    }
}

/*------ custom tooltip end -------*/